@subheading gsasl_strerror
@anchor{gsasl_strerror}
@deftypefun {const char *} {gsasl_strerror} (int @var{err})
@var{err}: libgsasl error code

Convert return code to human readable string explanation of the
reason for the particular error code.

This string can be used to output a diagnostic message to the user.

This function is one of few in the library that can be used without
a successful call to @code{gsasl_init()}.

@strong{Return value:} Returns a pointer to a statically allocated string
containing an explanation of the error code @code{err}.
@end deftypefun

@subheading gsasl_strerror_name
@anchor{gsasl_strerror_name}
@deftypefun {const char *} {gsasl_strerror_name} (int @var{err})
@var{err}: libgsasl error code

Convert return code to human readable string representing the error
code symbol itself.  For example, gsasl_strerror_name(@code{GSASL_OK})
returns the string "GSASL_OK".

This string can be used to output a diagnostic message to the user.

This function is one of few in the library that can be used without
a successful call to @code{gsasl_init()}.

@strong{Return value:} Returns a pointer to a statically allocated string
containing a string version of the error code @code{err}, or NULL if
the error code is not known.

@strong{Since:} 0.2.29
@end deftypefun

